# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION=" simple markup - markdown like syntax | Fork of https://github.com/Gottox/smu"
HOMEPAGE="https://code.suij.in/tenno/scq"
SRC_URI="https://code.suij.in/tenno/scq/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64"
IUSE="+pgo"
RESTRICT="mirror"

src_compile() {
	if use pgo
	then
		emake pgo-build
	else
		emake
	fi
}

src_install() {
	emake DESTDIR="${D}" PREFIX="${EPREFIX}"/usr install
}
